﻿.document-image.cd_doc_image .image-outer #Imgcontainer .konvajs-content {
    height: 100% !important;
    width: 100% !important;
}

    .document-image.cd_doc_image .image-outer #Imgcontainer .konvajs-content canvas {
        height: 100% !important;
        width: 100% !important;
        object-fit: cover;
    }

.registerowner_content .mapbox {
    width: Calc(100% + 270px);
}

.space-po-lst {
    margin-bottom: 20px;
}

.spanreason.np-wrap.font-red {
    white-space: nowrap;
}

.contact_number {
    width: 100%;
}

.makani-btns.coordinatespace button {
    width: 100% !important;
}

.Individual_registration .person_dts #personal_mobEmail, .Individual_registration .person_dts #from_gdrfad {
    grid-template-columns: repeat(auto-fit, minmax(0, 1fr));
    width: 100%;
    max-width: unset;
}

.confirm-btns.genrate-btn {
    height: fit-content;
    display: flex;
    justify-content: center;
    gap: 20px;
}

.pt_point_fix {
    padding-top: 50px !important;
}

    .pt_point_fix.adjt {
        padding-top: 20px !important;
    }

.confirm-btns.genrate-btn button {
    background: var(--color-BgOrangeWarningAlert);
    color: var(--color-TextOrgWhite);
    border-radius: 4px;
    height: 34px;
    width: 139px;
    font-family: var(--font-3);
}
/*DOC_POPUP & HELP*/
.imgupheader .dz-default.dz-message .selfile {
    position: fixed;
    left: 50%;
    top: 58%;
    transform: translateX(-50%);
}

.basimgforupload {
    left: 50%;
    transform: translateX(-50%);
}

.imgupheader.EditPresent.nowebcamera .dz-default.dz-message .selfile {
    left: 58%;
}

@media (max-width: 1000px) {
    .image-upload-content {
        width: 90%;
    }

    .imgupheader.EditPresent.nowebcamera .Dragfilphoto {
        left: 30%;
    }

    .detail_container .detail_blk .subdetail_blk div:nth-child(2) {
        display: none;
    }

    input.inputField.ellipsis.span.spanreason {
        margin-left: 0px !important;
    }
}

@media (max-width:950px) {
    .imgupheader.EditPresent.nowebcamera .dz-default.dz-message .selfile {
    }
}

@media (max-width: 690px) {
    .guidlines_popup {
        transform: scale(0.5);
        right: -165px;
        top: -140px;
    }
}

@media (max-width: 876px) {
    .imgupheader.EditPresent.nowebcamera .Dragfilphoto {
        left: 24%;
    }
}

@media (max-width: 700px) {
    .image-upload-content .EditPresent.imgupheader .Imgpopscroll {
        margin-top: 80px !important;
    }

    .imgupheader.EditPresent.nowebcamera .dz-default.dz-message .selfile {
        top: 99px;
        left: 50%;
        transform: translateX(-50%);
        white-space: nowrap;
    }

    .imgupheader.EditPresent.nowebcamera .Dragfilphoto {
        left: 50%;
        transform: translateX(-50%);
        display: flex;
        white-space: nowrap;
    }

    .com_popup .confirmation_popup .popup_content .main_grid {
        grid-template-columns: 60% 50%;
    }

    #BuildingPlotInfo .plot_content .block_input {
        flex-direction: column;
    }
}
/*AKASH*/
@media(max-width:1700px) {
    .help_popup_content {
        top: 15px;
        right: 40px;
    }
}
/*AKASH BUILDING REGISTRATION RESPONSIVE*/
@media (max-width: 1500px) {
    .layoutpage_content {
        /* padding: 0px 10px; */
    }

    .registerby .footer-action-btn {
        padding: 0px 25px;
    }

    .nr_building_form {
        /* padding: 0px 15px; */
    }

    .registerby .content_input.additional_info {
        padding-right: 25px !important;
    }

    .mak_ico_blk {
        right: -75px;
    }

    .registerby .content_input.plot_owner_content.owner_comon_info > div {
        padding: 0 15px;
    }

    .company_reg_list .content_input .licence_options .answer_content .answer_text {
        max-width: unset !important;
        min-width: unset !important;
        width: auto;
    }
}

@media (max-width: 1300px) {
    .alternate_mobile_flexbox.cntct-per {
        flex-direction: column;
    }

        .alternate_mobile_flexbox.cntct-per .input_block {
            width: 100%;
        }
}

@media (max-width: 1200px) {
    .registerowner_content .mobile_emaildiv.split_block {
        flex-direction: column;
    }

        .registerowner_content .mobile_emaildiv.split_block .input_block {
            width: 100% !important;
        }

    .thirdparty_content .company_details .split_block {
        flex-direction: column;
    }

        .thirdparty_content .company_details .split_block .input_block {
            width: 100%;
        }

    .split_block.plot_block {
        flex-direction: column;
    }

        .split_block.plot_block .block_input {
            width: 100%;
        }

    .block_img.showhide_dropplot {
        width: 100%;
        height: 400px;
        margin-top: 20px;
    }

    .new_mak .mak_ico_blk {
        right: -72px;
    }
}

@media (max-width: 1118px) {
    .img-block.profile-imgb {
        width: 100%;
        margin-bottom: 25px;
    }

    .split_block_1 {
        width: 100%;
    }

    .owner_singleline {
        width: 100%;
        float: left;
        margin-top: 20px;
    }

    .profile-imgb .noImg .img_align {
        object-fit: contain !important;
    }

    .img_container.building_upload .inside-image-attachment {
        width: 100%;
    }

    .split_block {
        flex-direction: column;
    }

    .alternate_numbers .split_block .input_block {
        width: 100%;
    }

    .contactperson_details_block {
        display: flex;
        flex-direction: column;
    }

    .company_reg_list .help_popup_content,
    .help_popup_content {
        padding: 4px 11px;
        border-radius: 10px;
        top: 12px !important;
        right: 30px !important;
    }

    .split_block .input_block.footer_btns {
        margin-bottom: 20px;
    }

    .rows1.field_row1.duplicaterender .split_block {
        flex-direction: row;
    }

    .int-block {
        flex-direction: column;
        align-items: flex-start;
    }

        .int-block .dynamic_emiratesnumber {
            width: 100%;
        }

    .image_upccon {
        min-width: unset;
        width: 90%;
        margin: 45px 0px;
    }

    .uploadblock_img {
        height: 300px;
        margin-top: 20px;
    }

    .building_code_blk .code_info_ico {
        right: 20px;
    }

    .build_details_addinfo .split_block.locate_info.city_area.location_city {
        display: flex;
    }

    .additional_info .makani_block .input_block.plotinfo_lat {
        padding: 0;
    }

    .customChanges.makani-field {
        margin-bottom: 20px;
    }

    .additional_info .additional_blk .input_block {
        width: 100%;
    }

    .form-field-container .split_block.build_search {
        flex-direction: row;
        padding-right: 65px;
        gap: 10px;
        align-items: center;
    }

        .form-field-container .split_block.build_search .pull-right.footer_btns,
        .form-field-container .split_block.build_search .input_block {
            margin: 0;
        }

            .form-field-container .split_block.build_search .input_block .search_block {
                width: auto;
                padding: 0px 15px;
            }

                .form-field-container .split_block.build_search .input_block .search_block span {
                    display: none;
                }

                .form-field-container .split_block.build_search .input_block .search_block i {
                    margin: 0;
                }

    .split_block .makani-btns.coordinatespace {
        margin-bottom: 20px;
    }

        .split_block .makani-btns.coordinatespace button {
            width: 100%;
        }

    .additional_info .makani_blk .loc_google_add {
        margin-top: 20px;
    }

    .guidlines_popup {
        transform: scale(0.5);
        right: -164px;
        top: -136px;
    }

    .valMsg {
        padding-left: 5px;
    }

    .building_addition_info .plotinfo_lat .mak_ico_blk .add_ico {
        height: 46px;
    }
}

@media (max-width: 940px) {
    .form-field-container .building_detail .dynamic-history-paging-footer.footer_showrslt {
        padding: 0 10px;
        margin: 0;
        flex-direction: column;
        height: auto;
        background: var(--color-BgOrgWhite);
    }

    .form-field-container .Building-detail-information .content_input.building_detail {
        padding-bottom: 60px;
    }
}

@media(max-width:874px) {
    #BuildingPlotInfo .split_block.build_search {
        padding-right: 60px;
    }

    .form-field-container .split_block.build_search {
        padding: 0px 10px;
    }

    .buildViewAdd {
        font-size: 15px;
    }
}

@media (max-width: 900px) {
    .input_block.mob_blk.moble-chck {
        max-width: 100%;
        display: flex;
        gap: 15px;
    }

    .customChanges.ownerMobilenumber {
        width: calc(100% - 37px);
    }

    .location_city .input_block.noimage_drop_blk.md2_fa {
        margin-bottom: 24px;
    }

    .thirdparty_content.ssp_content .intl-tel-input,
    .registerowner_content .intl-tel-input {
        padding-left: 0;
        display: flex;
        gap: 15px;
        min-width: unset;
    }

        .thirdparty_content.ssp_content .intl-tel-input input {
            flex: 1;
        }

    .alternate_mobile_flexbox .customChanges.ownerMobilenumber .intl-tel-input .flag-container,
    .registerowner_content .phone-input-wrapper .flag-container {
        position: relative;
        padding: 0px 5px !important;
        width: fit-content;
    }

    .phone-input-wrapper .flag-container .dialCode {
        padding-right: 27px;
    }

    .moble-chck .mob_chkbx {
        height: 22px;
        width: 22px;
    }

    .input_block.mob_blk .input_checkbox {
        margin: 0;
    }

    .registerowner_content .dialCode {
        white-space: nowrap;
    }

    .registerowner_content .input_block.mob_blk .spanreason {
        margin-left: 140px;
    }

    .select_docx .EID_VISA_DOC {
        flex-direction: column;
    }

    .input_block.noimage_drop_blk.md2_fa {
        margin: 0;
    }

    .company_reg_list .content_input .licence_options .answer_content {
        flex-direction: column;
        margin-top: 10px;
    }

        .company_reg_list .content_input .licence_options .answer_content .answer_text {
            margin: 0;
            width: 100%;
            min-width: unset !important;
            max-width: unset !important;
        }

        .company_reg_list .content_input .licence_options .answer_content .middle_txt {
            height: fit-content;
        }

    .licese_docx .docx_fld .permit_doc.permitdocument_block.split_new_trade .div_fld {
        gap: 0;
    }

    .split_block.split_textbox.license {
        gap: 20px;
    }

    .loadowner .details_emiratesblock1 .split_block.split_block_1,
    .split_block.plot_block .block_input.split-clm-point {
        flex-direction: column;
    }
}

@media (max-width: 1000px) {
    .detail_container .detail_blk .subdetail_blk div:nth-child(2) {
        display: none;
    }

    #buildingMangedBy .footer-action-btn > div {
        display: flex;
        gap: 20px;
        width: 100%;
        flex-wrap: wrap;
    }

    #buildingMangedBy .footer-action-btn div,
    #buildingMangedBy .footer-action-btn button {
        margin: 0;
    }

    .rng-binding {
        font-size: 19px;
    }
}

@media (max-width: 768px) {
    .form-right-container {
        height: calc(100% - 106px);
    }

    .Company_registration .menubar_container.full-size-relative {
        padding-right: 0;
    }

    .other_act .otherAcivityAddEdit {
        width: 95%;
    }
}


/* Iu topbar text-wrap proper  */
@media (max-width: 500px) {

    .mobile-topbar-title,
    .mobile-active-title {
        font-size: 20px;
    }

    .intimate-success {
        width: 90%;
        min-width: unset;
        max-width: unset;
        position: relative;
    }

    .success-part {
        width: 100%;
        float: left;
    }

    .confirm-popup,
    .common-warning-popup .suggest-popup-container {
        width: 90%;
    }

    div#ajax-loader-container-DM {
        z-index: 111;
    }

    .storekeeper_details .grid_col,
    .storekeeper_details .address_info,
    .registerowner_content .grid_col,
    .registerowner_content .address_info {
        margin: 0;
    }

    .storekeeper_details .address_info,
    .registerowner_content .address_info {
        margin-bottom: 15px;
    }

    .storekeeper_details .person_dts .passport_visa_block,
    .registerowner_content .person_dts .passport_visa_block {
        width: 100%;
        float: left;
        margin: 0;
    }

    .storekeeper_details .person_select .get_person .qus_icons .qus_text {
        font-size: 13px;
        margin-left: 10px;
    }

    .storekeeper_details .person_select .get_person .qus_icons {
        width: 90%;
    }

    .storekeeper_details .person_select .check-ccon label {
        font-size: 13px;
    }

    #BuildingPlotOwnerInfo .details_emiratesblock1 .split_block.split_block_1 {
        flex-direction: column;
    }

    .plot-owner-information {
        padding: 0px 10px !important;
    }

    .popoverContainer.forEg {
        float: left;
        padding-bottom: 20px;
    }

    .popoverContainer .eg {
        top: unset;
        bottom: 0;
    }

    .row_details_content .pass_visa_dtl {
        display: flex !important;
        flex-direction: column;
    }
    #BuildingOwnerInfo .form-field-sub-container {
        padding-right: 10px !important;
        padding-left: 10px !important;
    }

    #BuildingOwnerInfo #RegisterOwnerDeatils {
        padding: 0;
    }
    .suggest-popup-ancestor.common-warning-popup {
        width: 100%;
        height: 100%;
        background: none;
    }
}


@media (max-width: 510px) {
    section.layoutpage_content.full-size-relative.document_info.cd_document_viewlist {
        display: flex;
        height: 100%;
        width: 100%;
        flex-direction: column;
    }

    .content_input {
        width: 100% !important;
    }

    .Doc_load_section .documentfields_upload {
        margin-right: 0px;
        width: 100%;
        max-width: 100%;
        display: flex;
        flex-direction: column;
        position: unset;
        min-width: 209px;
        justify-content: space-between;
    }

    .docImgViewer.img_upload.df {
        width: 100%;
        height: 100%;
    }

    .searchsec-map {
        width: 80% !important;
        min-width: unset;
    }
}

/*IU*/
@media (max-width: 400px) {
    .welcome_text,
    .question_text,
    .heading_txt {
        font-size: 20px;
        line-height: 39px;
    }

    .answer_content label {
        font-size: 16px;
    }

    .registerby .footer-action-btn {
        padding: 0px 25px;
        display: flex;
        flex-direction: column;
        gap: 8px;
        height: auto;
    }

        .registerby .footer-action-btn button {
            margin-top: 10px;
            width: 100%;
        }
    /*Gov Entity footer btn start*/
    .govt-entity-reg .registerby .footer-action-btn button {
        width: 120px;
    }

    .govt-entity-reg .person-get-dtls .footer-action-btn {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .govt-entity-reg .makani_view .input_block .get_cord_btn .nxt_txt {
        font-size: 15px;
    }
    /*Gov Entity footer btn end*/
    .pull-left.footer_btns {
        width: 100%;
    }

    .Company_registration .pull-left.footer_btns, .registerForm .pull-left.footer_btns {
        order: 1;
        margin-top: 10px;
    }

    .Company_registration .registerby .footer-action-btn button, .registerForm .registerby .footer-action-btn button {
        margin-top: 0;
    }

    .form-field-sub-container {
        padding-bottom: 130px;
    }

    #buildingMangedBy .footer-action-btn > div .pull-right {
        width: 100%;
    }

        #buildingMangedBy .footer-action-btn > div .pull-right button {
            width: 100%;
        }

    #buildingMangedBy .footer-action-btn {
        position: relative;
    }

    .form-field-sub-container .buildings_container .build_detail_container {
        padding: 0;
        width: 100%;
    }

    .form-field-container .split_block.build_search {
        flex-direction: column;
    }

    .form-field-container .Building-detail-information .content_input.building_detail {
        padding-top: 130px;
    }

    .form-field-container .split_block.build_search .pull-right.footer_btns {
        width: 100%;
    }

    .mobile-topbar-center {
        top: 4px;
    }
    /*topbar text-wrap align*/
    .mobile-topbar-title,
    .mobile-active-title {
        max-width: 250px;
    }

    .mobile-active-title {
        font-size: 20px;
    }

    .input_block .inputField {
        font-size: 16px;
    }

    .slt-building .footer-action-btn button {
        width: 100%;
    }

    .slt-building .footer-action-btn {
        display: flex;
        height: fit-content;
        flex-direction: column;
        gap: 15px;
    }
}

.basimgforupload {
    left: 50%;
    transform: translateX(-50%);
}

/*AKASH BUILDING REGISTRATION RESPONSIVE*/

@media(max-width: 768px) {
    .form-wizard-container.full-size-relative.company_reg_list {
        padding: 0;
    }
}

@media (max-width:550px) {

    .ccfirmmain-popup .confirm-email {
        min-width: 206px !important;
    }

    .NotAllowed {
        width: 127% !important;
    }

    .com_popup .confirmation_popup .popup_content .main_grid {
        grid-template-columns: 57% 50%;
        margin-left: -3%;
    }
}

@media(max-width:768px) {

    .form-wizard-container.full-size-relative.company_reg_list {
        padding: 0;
    }

    .registerowner_content .mapBox {
        MARGIN: 0 !IMPORTANT;
        TOP: 35% !IMPORTANT;
        HEIGHT: 100% !important;
        width: 90%;
    }

    .registerowner_content .over_Lay {
        top: -220px;
        height: calc(100% + 230px) !IMPORTANT;
    }
}

@media(max-width:700px) {

    .input_block.disabledField {
        margin-top: 26px !important;
    }

    .makani_view .input_block.disabledField {
        margin-top: 4px !important;
    }

    .mark_point {
        flex-direction: column;
        align-items: self-start;
    }

    .mobile-next-badge {
        flex-direction: row;
        width: 100%;
        padding: 0;
        max-width: unset;
        gap: 10px;
        padding-left: 10px;
        padding-top: 6px;
        flex-wrap: wrap;
    }
}

@media(max-width:492px) {
    .input_block.disabledField {
        margin-top: 26px !important;
    }
}

@media(max-width:400px) {
    .input_block.lng_blk.disabledField {
        margin-top: 4px !important;
    }

    .common-warning-popup .common-warring-popup-btn {
        left: 50%;
        transform: translateX(-50%);
    }

    .otp_verfiy_popup .popup_content .otp_value {
        grid-template-columns: 1fr 1fr; /* 2 columns of equal width */
        grid-template-rows: auto;
    }
    #BuildingPlotOwnerInfo #RegisterOwnerDeatils .mob_blk .spanreason {
        left: -20px;
    }
    #buildingMangedBy #RegisterThirdpartyDetails .Content_block .ownerMobilenumber .spanreason,
    #buildingMangedBy #RegisterThirdpartyDetails .Content_block .intl-tel-input .spanreason {
        left: -20px;
    }
 /*   #RegisterOwnerDeatils .registerowner_content .input_block.mob_blk .spanreason {
        font-size: 21px;
        margin-left: 70px !important;
    }*/
}

@media(max-width: 768px) {
    .form-wizard-container.full-size-relative.company_reg_list {
        padding: 0;
    }

    div#ajax-loader-container-DM {
        /* margin-left: 34%; */
    }

    div#ui-datepicker-div {
        z-index: 10 !important;
    }
}

@media (max-width:550px) {

    .ccfirmmain-popup .confirm-email {
        min-width: 206px !important;
    }

    .NotAllowed {
        width: 127% !important;
    }

    .com_popup .confirmation_popup .popup_content .main_grid {
        grid-template-columns: 57% 50%;
        margin-left: -3%;
    }
}

.docImgViewer.img_upload {
    position: relative;
}

@media(max-width:1050px) {
    input#company-branc {
        margin-left: 5px !important;
    }
}

@media(max-width:380px) {
    .spanreason.np-wrap.font-red {
        font-size: 16px;
    }
    #BuildingPlotOwnerInfo #RegisterOwnerDeatils {
        padding-bottom: 10px;
        height: fit-content;
        float: left;
    }
}

@media(max-width:360px) {

    .multi_add {
        padding-top: 16px;
    }

    .mob_blk .add_ico, .mob_blk .del_ico {
        font-size: 20px;
        height: 20px;
        width: 20px;
        background-size: contain;
    }
}